Skip to main content
GET
Retrieve a specific Command by its id

Authorizations

Authorization
string
header
required

Access Token Authentication

Path Parameters

entityId
string<uuid>
required

The id of the Entity

commandId
string<uuid>
required

The id of the Command

Response

200 - application/json

OK

A command.

entityId
string<uuid> | null

The id of the entity.

id
string<uuid>

The id of the command.

status
enum<string>

Represents the different states of a command.

Available options:
Canceled,
Failed,
Pending,
Sent,
Succeeded,
Triggered
triggerTime
string<date-time>

The trigger time of command.

type
enum<string>

Represents the available command types

Available options:
Disconnect,
LimitFeedIn,
Reset,
StartCharging,
StopCharging,
StopFeedIn
value
string | null

The value for the issued command.

error
object

Represents an error that occurred when command is validated or sent.

verification
object

Represents the verification state of a command.